Index: maintenance/parserTests.txt
===================================================================
--- maintenance/parserTests.txt	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ maintenance/parserTests.txt	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -3370,6 +3370,44 @@
 !! end
 
 !! test
+TOC regression (bug 9764)
+!! input
+== title 1 ==
+=== title 1.1 ===
+==== title 1.1.1 ====
+=== title 1.2 ===
+== title 2 ==
+=== title 2.1 ===
+!! result
+<table id="toc" class="toc" summary="Contents"><tr><td><div id="toctitle"><h2>Contents</h2></div>
+<ul>
+<li class="toclevel-1"><a href="#title_1"><span class="tocnumber">1</span> <span class="toctext">title 1</span></a>
+<ul>
+<li class="toclevel-2"><a href="#title_1.1"><span class="tocnumber">1.1</span> <span class="toctext">title 1.1</span></a>
+<ul>
+<li class="toclevel-3"><a href="#title_1.1.1"><span class="tocnumber">1.1.1</span> <span class="toctext">title 1.1.1</span></a></li>
+</ul>
+</li>
+<li class="toclevel-2"><a href="#title_1.2"><span class="tocnumber">1.2</span> <span class="toctext">title 1.2</span></a></li>
+</ul>
+</li>
+<li class="toclevel-1"><a href="#title_2"><span class="tocnumber">2</span> <span class="toctext">title 2</span></a>
+<ul>
+<li class="toclevel-2"><a href="#title_2.1"><span class="tocnumber">2.1</span> <span class="toctext">title 2.1</span></a></li>
+</ul>
+</li>
+</ul>
+</td></tr></table><script type="text/javascript"> if (window.showTocToggle) { var tocShowText = "show"; var tocHideText = "hide"; showTocToggle(); } </script>
+<a name="title_1"></a><h2><span class="editsection">[<a href="/index.php?title=Parser_test&amp;action=edit&amp;section=1" title="Edit section: title 1">edit</a>]</span> <span class="mw-headline"> title 1 </span></h2>
+<a name="title_1.1"></a><h3><span class="editsection">[<a href="/index.php?title=Parser_test&amp;action=edit&amp;section=2" title="Edit section: title 1.1">edit</a>]</span> <span class="mw-headline"> title 1.1 </span></h3>
+<a name="title_1.1.1"></a><h4><span class="editsection">[<a href="/index.php?title=Parser_test&amp;action=edit&amp;section=3" title="Edit section: title 1.1.1">edit</a>]</span> <span class="mw-headline"> title 1.1.1 </span></h4>
+<a name="title_1.2"></a><h3><span class="editsection">[<a href="/index.php?title=Parser_test&amp;action=edit&amp;section=4" title="Edit section: title 1.2">edit</a>]</span> <span class="mw-headline"> title 1.2 </span></h3>
+<a name="title_2"></a><h2><span class="editsection">[<a href="/index.php?title=Parser_test&amp;action=edit&amp;section=5" title="Edit section: title 2">edit</a>]</span> <span class="mw-headline"> title 2 </span></h2>
+<a name="title_2.1"></a><h3><span class="editsection">[<a href="/index.php?title=Parser_test&amp;action=edit&amp;section=6" title="Edit section: title 2.1">edit</a>]</span> <span class="mw-headline"> title 2.1 </span></h3>
+
+!! end
+
+!! test
 Resolving duplicate section names
 !! input
 == Foo bar ==
Index: maintenance/updaters.inc
===================================================================
--- maintenance/updaters.inc	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ maintenance/updaters.inc	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -964,12 +964,14 @@
 
 	$name = 'page_restrictions';
 	$patch = 'patch-page_restrictions.sql';
+	$patch2 = 'patch-page_restrictions_sortkey.sql';
 
 	if ( $wgDatabase->tableExists( $name ) ) {
 		echo "...$name table already exists.\n";
 	} else {
 		echo "Creating $name table...";
 		dbsource( archive($patch), $wgDatabase );
+		dbsource( archive($patch2), $wgDatabase );
 		echo "ok\n";
 
 		echo "Migrating old restrictions to new table...";
@@ -1166,7 +1168,8 @@
 		$wgDBmwschema = 'mediawiki';
 
 	$newsequences = array(
-		"log_log_id_seq"
+		"log_log_id_seq",
+		"pr_id_val",
 	);
 
 	$newtables = array(
@@ -1191,6 +1194,7 @@
 		array("logging",       "log_params",           "TEXT"),
 		array("mwuser",        "user_editcount",       "INTEGER"),
 		array("mwuser",        "user_newpass_time",    "TIMESTAMPTZ"),
+		array("page_restrictions", "pr_id",            "INTEGER NOT NULL UNIQUE DEFAULT nextval('pr_id_val')"),
 		array("recentchanges", "rc_deleted",           "INTEGER NOT NULL DEFAULT 0"),
 		array("recentchanges", "rc_log_action",        "TEXT"),
         array("recentchanges", "rc_log_type",          "TEXT"),
Index: docs/memcached.txt
===================================================================
--- docs/memcached.txt	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ docs/memcached.txt	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -29,7 +29,6 @@
 a network; storage can be distributed across multiple servers, and
 multiple web servers can use the same cache cluster.
 
-
 ********************* W A R N I N G ! ! ! ! ! ***********************
 Memcached has no security or authentication. Please ensure that your
 server is appropriately firewalled, and that the port(s) used for
@@ -54,8 +53,8 @@
 
 In your LocalSettings.php file, set:
 
-  $wgUseMemCached = true;
-  $wgMemCachedServers = array( "127.0.0.1:11000" );
+	$wgMainCacheType = CACHE_MEMCACHED;;
+	$wgMemCachedServers = array( "127.0.0.1:11000" );
 
 The wiki should then use memcached to cache various data. To use
 multiple servers (physically separate boxes or multiple caches
@@ -66,10 +65,9 @@
 
   $wgMemCachedServers = array(
     "127.0.0.1:11000", # one gig on this box
-    array("192.168.0.1:11000", 2) # two gigs on the other box
+    array("192.168.0.1:11000", 2 ) # two gigs on the other box
   );
 
-
 == PHP client for memcached ==
 
 As of this writing, MediaWiki includes version 1.0.10 of the PHP
@@ -129,4 +127,4 @@
 	stores: array of arrays, for the BlockCache class
 	cleared by: BlockCache:clear()
 	
-... more to come ...
+... more to come ...
\ No newline at end of file
Index: includes/SpecialUserlogin.php
===================================================================
--- includes/SpecialUserlogin.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ includes/SpecialUserlogin.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -228,6 +228,7 @@
 			return false;
 		}
 
+		# Check anonymous user ($wgUser) limitations :
 		if (!$wgUser->isAllowedToCreateAccount()) {
 			$this->userNotPrivilegedMessage();
 			return false;
@@ -241,6 +242,7 @@
 			return;
 		}
 
+		# Now create a dummy user ($u) and check if it is valid
 		$name = trim( $this->mName );
 		$u = User::newFromName( $name, 'creatable' );
 		if ( is_null( $u ) ) {
@@ -258,7 +260,7 @@
 			return false;
 		}
 
-		if ( !$wgUser->isValidPassword( $this->mPassword ) ) {
+		if ( !$u->isValidPassword( $this->mPassword ) ) {
 			$this->mainLoginForm( wfMsg( 'passwordtooshort', $wgMinimalPasswordLength ) );
 			return false;
 		}
Index: includes/ImagePage.php
===================================================================
--- includes/ImagePage.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ includes/ImagePage.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -701,6 +701,7 @@
 			wfDebug( "ImagePage::doPurge purging " . $this->img->getName() . "\n" );
 			$update = new HTMLCacheUpdate( $this->mTitle, 'imagelinks' );
 			$update->doUpdate();
+			$this->img->upgradeRow();
 			$this->img->purgeCache();
 		} else {
 			wfDebug( "ImagePage::doPurge no image\n" );
Index: includes/Parser.php
===================================================================
--- includes/Parser.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ includes/Parser.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -3453,13 +3453,17 @@
 			$enoughToc = true;
 		}
 
+		# Never ever show TOC if no headers
+		if( $numMatches < 1 ) {
+			$enoughToc = false;
+		}
+
 		# We need this to perform operations on the HTML
 		$sk = $this->mOptions->getSkin();
 
 		# headline counter
 		$headlineCount = 0;
 		$sectionCount = 0; # headlineCount excluding template sections
-		$numVisible = 0;
 
 		# Ugh .. the TOC should have neat indentation levels which can be
 		# passed to the skin functions. These are determined here
@@ -3489,6 +3493,7 @@
 
 			if( $toclevel ) {
 				$prevlevel = $level;
+				$prevtoclevel = $toclevel;
 			}
 			$level = $matches[1][$headlineCount];
 
@@ -3499,9 +3504,7 @@
 					$toclevel++;
 					$sublevelCount[$toclevel] = 0;
 					if( $toclevel<$wgMaxTocLevel ) {
-						$prevtoclevel = $toclevel;
 						$toc .= $sk->tocIndent();
-						$numVisible++;
 					}
 				}
 				elseif ( $level < $prevlevel && $toclevel > 1 ) {
@@ -3608,14 +3611,9 @@
 				$sectionCount++;
 		}
 
-		# Never ever show TOC if no headers
-		if( $numVisible < 1 ) {
-			$enoughToc = false;
-		}
-		
 		if( $enoughToc ) {
-			if( $prevtoclevel > 0 && $prevtoclevel < $wgMaxTocLevel ) {
-				$toc .= $sk->tocUnindent( $prevtoclevel - 1 );
+			if( $toclevel<$wgMaxTocLevel ) {
+				$toc .= $sk->tocUnindent( $toclevel - 1 );
 			}
 			$toc = $sk->tocList( $toc );
 		}
Index: includes/Title.php
===================================================================
--- includes/Title.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ includes/Title.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -1637,6 +1637,7 @@
 		if ( ':' == $dbkey{0} ) {
 			$this->mNamespace = NS_MAIN;
 			$dbkey = substr( $dbkey, 1 ); # remove the colon but continue processing
+			$dbkey = trim( $dbkey, '_' ); # remove any subsequent whitespace
 		}
 
 		# Namespace or interwiki prefix
Index: includes/Image.php
===================================================================
--- includes/Image.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ includes/Image.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -1056,7 +1056,7 @@
 	 */
 	function purgeMetadataCache() {
 		clearstatcache();
-		$this->upgradeRow();
+		$this->loadFromFile();
 		$this->saveToCache();
 	}
 
Index: includes/DefaultSettings.php
===================================================================
--- includes/DefaultSettings.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ includes/DefaultSettings.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -31,7 +31,7 @@
 $wgConf = new SiteConfiguration;
 
 /** MediaWiki version number */
-$wgVersion			= '1.10.0rc1';
+$wgVersion			= '1.10.0rc2';
 
 /** Name of the site. It must be changed in LocalSettings.php */
 $wgSitename         = 'MediaWiki';
Index: includes/Database.php
===================================================================
--- includes/Database.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ includes/Database.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -709,7 +709,7 @@
 		# Add a comment for easy SHOW PROCESSLIST interpretation
 		#if ( $fname ) {
 			global $wgUser;
-			if ( is_object( $wgUser ) ) {
+			if ( is_object( $wgUser ) && !($wgUser instanceof StubObject) ) {
 				$userName = $wgUser->getName();
 				if ( strlen( $userName ) > 15 ) {
 					$userName = substr( $userName, 0, 15 ) . '...';
Index: languages/messages/MessagesFiu_vro.php
===================================================================
--- languages/messages/MessagesFiu_vro.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesFiu_vro.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -228,7 +228,7 @@
 'aboutsite'         => '{{SITENAME}} tutvustus',
 'aboutpage'         => '{{ns:Special}}:Pääteedüs',
 'bugreports'        => 'Viateedüseq',
-'bugreportspage'    => '{{ns:Special}}:Viateedüseq}}',
+'bugreportspage'    => '{{ns:Special}}:Viateedüseq',
 'copyright'         => "Teksti või vabalt pruukiq $1'i perrä.",
 'copyrightpagename' => '{{SITENAME}} ja tegijäõigusõq',
 'copyrightpage'     => '{{ns:Special}}:Tegijäõigusõq',
Index: languages/messages/MessagesYi.php
===================================================================
--- languages/messages/MessagesYi.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesYi.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -570,7 +570,6 @@
 'accesskey-ca-nstab-help' => 'c',
 'tooltip-ca-nstab-help' => 'באזוכט די הילף בלעטער',
 'accesskey-ca-nstab-category' => 'c',
-'tooltip-ca-nstab-category' => '];',
 'previousdiff'          => 'פריעריגע אונטערשייד →',
 'nextdiff'              => 'קומענדיקע אונטערשייד ←',
 'newimages'             => 'גאַלעריע אויף נײַע בילדער',
Index: languages/messages/MessagesFa.php
===================================================================
--- languages/messages/MessagesFa.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesFa.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -810,7 +810,7 @@
 'blockiptext'	=> "از فرم زیر برای بستن دسترسی نوشتن از یک نشانی IP یا
 نام کاربری مشخص استفاده کنید.
 این کار فقط فقط باید برای جلوگیری از خرابکاری انجام شود، و بر اساس
-[[{{ns:project}}:خط مشی|خط مشی].
+[[{{ns:project}}:خط مشی|خط مشی]].
 دلیل مشخص این کار را در زیر ذکر کنید (مثلاً با ذکر صفحات به‌خصوصی که تخریب شده‌اند).",
 'ipaddress'		=> "نشانی IP/نام کاربر",
 'ipbreason'		=> "دلیل",
Index: languages/messages/MessagesUr.php
===================================================================
--- languages/messages/MessagesUr.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesUr.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -235,7 +235,7 @@
 'accmailtext'          => '"$1" کیلیۓ کلمہ شناخت $2 کو ارسال کردیا گیا۔',
 'newarticle'           => '(نیا)',
 'newarticletext'       => 'آپ ایک ایسے صفحے کے ربط تک آگۓ ہیں جو ابھی موجود نہیں۔ اگر آپ اس عنوان سے صفحہ بنانا چاہتے ہیں تو اپنا مضمون نیچے دیۓ گۓ احاطہ میں تحریر کیجیۓ اور محفوظ کردیجیۓ (مزید معلومات کیلیۓ معاونت کا صفحہ ملاحظہ کیجیۓ)۔ اگر آپ غلطی سے یہاں پہنچے ہیں تو واپسی کے لیۓ اپنے تصفحہ (براؤزر) کا بیک بٹن ٹک کیجیۓ۔',
-'anontalkpagetext'     => "----''یہ صفحہ ایک ایسے صارف کا ہے جنہوں نے یا تو اب تک اپنا کھاتا نہیں بنایا یا پھر وہ اسے استعمال نہیں کر رہے/ رہی ہیں۔ لہذا ہمیں انکی شناخت کے لیۓ ایک اعدادی آئی پی پتہ استعمال کرنا پڑرہا ہے۔ اس قسم کا آئی پی ایک سے زائد صارفین کے لیۓ مشترک بھی ہوسکتا ہے۔ اگر آپکی موجودہ حیثیت ایک گمنام صارف کی ہے اور آپ محسوس کریں کہ اس صفحہ پر آپکی جانب منسوب یہ بیان غیرضروری ہے تو براہ کرم [http://ur.wikipedia.org/wiki/%D8%AE%D8%A7%D8%B5:Userlogin کھاتا بنائیے یا داخل نوشتہ (لاگ ان) ہوں] تاکہ مستقبل میں آپکو، گمنام صارفین میں شمار کرنے سے پرہیز کیا جاسکے۔\"",
+'anontalkpagetext'     => "----''یہ صفحہ ایک ایسے صارف کا ہے جنہوں نے یا تو اب تک اپنا کھاتا نہیں بنایا یا پھر وہ اسے استعمال نہیں کر رہے/ رہی ہیں۔ لہذا ہمیں انکی شناخت کے لیۓ ایک اعدادی آئی پی پتہ استعمال کرنا پڑرہا ہے۔ اس قسم کا آئی پی ایک سے زائد صارفین کے لیۓ مشترک بھی ہوسکتا ہے۔ اگر آپکی موجودہ حیثیت ایک گمنام صارف کی ہے اور آپ محسوس کریں کہ اس صفحہ پر آپکی جانب منسوب یہ بیان غیرضروری ہے تو براہ کرم [[Special:Userlogin|کھاتا بنائیے یا داخل نوشتہ (لاگ ان) ہوں]] تاکہ مستقبل میں آپکو، گمنام صارفین میں شمار کرنے سے پرہیز کیا جاسکے۔\"",
 'note'                 => '<strong>نوٹ:</strong>',
 'previewnote'          => 'یاد رکھیں، یہ صرف نمائش ہے ۔آپ کی ترامیم ابھی محفوظ نہیں کی گئیں۔',
 'editing'              => 'آپ "$1" میں ترمیم کر رہے ہیں۔',
Index: languages/messages/MessagesNo.php
===================================================================
--- languages/messages/MessagesNo.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesNo.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -411,7 +411,7 @@
 
 Din ip-adresse er $3. Vennligst inkluder denne i alle forespørsler du gjør.',
 'whitelistedittitle'    => 'Innlogging kreves for å redigere',
-'whitelistedittext'     => 'Du må [[Special:userlogin|logge inn}} for å redigere artikler.',
+'whitelistedittext'     => 'Du må [[Special:userlogin|logge inn]] for å redigere artikler.',
 'whitelistreadtitle'    => 'Innlogging kreves for å lese',
 'whitelistreadtext'     => 'Du må [[Special:Userlogin|logge inn]] for å lese artikler.',
 'whitelistacctitle'     => 'Du har ikke adgang til å opprette en konto',
Index: languages/messages/MessagesHsb.php
===================================================================
--- languages/messages/MessagesHsb.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesHsb.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -1933,7 +1933,7 @@
 'confirmemail_subject'    => '{{SITENAME}} – wobkrućenje e-mejloweje adresy',
 'confirmemail_body'       => 'Něchtó, najskerje ty z IP-adresu $1, je wužiwarske konto „$2” z tutej e-mejlowej adresu we {{GRAMMAR:lokatiw|{{SITENAME}}}} wutworił.
 
-Zo by so wobkrućiło, zo tute konto woprawdźe tebi słuša a zo bychu so e-mejlowe funkcije we {{{GRAMMAR:lokatiw|{{SITENAME}}}} zaktiwizowali, wočiń tutón wotkaz w swojim wobhladowaku: $3.
+Zo by so wobkrućiło, zo tute konto woprawdźe tebi słuša a zo bychu so e-mejlowe funkcije we {{GRAMMAR:lokatiw|{{SITENAME}}}} zaktiwizowali, wočiń tutón wotkaz w swojim wobhladowaku: $3.
 
 Jeli to *njejsy*, njeslěduj wotkaz. Tutón wobkrućenski kod spadnje dnja $4.
 
Index: languages/messages/MessagesFy.php
===================================================================
--- languages/messages/MessagesFy.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesFy.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -513,7 +513,7 @@
 Om it ôfbyld yn in side op te nimmen, meitsje jo dêr sa'n keppeling:<br />
 '''<nowiki>[[</nowiki>{{ns:image}}<nowiki>:jo_foto.jpg|omskriuwing]]</nowiki>''' of
 '''<nowiki>[[</nowiki>{{ns:image}}<nowiki>:jo_logo.png|omskriuwing]]</nowiki>''';
-en foar lûden '''<nowiki>[[</nowiki>{ns:media}}<nowiki>:jo_lûd.ogg]]</nowiki>'''.
+en foar lûden '''<nowiki>[[</nowiki>{{ns:media}}<nowiki>:jo_lûd.ogg]]</nowiki>'''.
 
 Tink derom dat oaren bewurkje kinne wat jo oanbiede, as dat better is foar de {{SITENAME}},
 krekt's sa't dat foar siden jildt, en dat jo útsletten wurde kinne as jo misbrûk
Index: languages/messages/MessagesZh_cn.php
===================================================================
--- languages/messages/MessagesZh_cn.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesZh_cn.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -335,7 +335,7 @@
 'nosuchaction'      => '没有这个命令',
 'nosuchactiontext'  => 'URL 请求的命令无法被这个wiki识别',
 'nosuchspecialpage' => '没有此特殊页面',
-'nospecialpagetext' => '您请求的特殊页面是无效的, 在[[{Special:Specialpages]]可得到所有有效的特殊页面的列表。',
+'nospecialpagetext' => '您请求的特殊页面是无效的, 在[[Special:Specialpages]]可得到所有有效的特殊页面的列表。',
 
 # General errors
 'error'                => '错误',
@@ -898,7 +898,7 @@
 'fileexists-extension'        => '一个相似名称的文件已经存在:<br />
 上载文件的档名: <strong><tt>$1</tt></strong><br />
 现有文件的档名: <strong><tt>$2</tt></strong><br />
-它们的差别只系在它们副档名的大／小写。请检查清楚文件的身份。',
+请选择一个不同的名字。',
 'fileexists-thumb'            => "'''<center>已经存在的图像</center>'''",
 'fileexists-thumbnail-yes'    => '这个文件好像是一幅图像的缩图版本<i>(缩图)</i>。请检查清楚该文件<strong><tt>$1</tt></strong>。<br />
 如果检查后的文件是同原本图像的大小是一样的话，就不用再上载多一幅缩图。',
@@ -2187,10 +2187,8 @@
 # Live preview
 'livepreview-loading' => '正在加载…',
 'livepreview-ready'   => '正在加载… 完成!',
-'livepreview-failed'  => '实时预览失败!
-尝试标准预览。',
-'livepreview-error'   => '连接失败: $1 "$2"
-尝试标准预览。',
+'livepreview-failed'  => "实时预览失败!\n尝试标准预览。",
+'livepreview-error'   => "连接失败: $1 \"$2\"\n尝试标准预览。",
 
 );
 
Index: languages/messages/MessagesSr_el.php
===================================================================
--- languages/messages/MessagesSr_el.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesSr_el.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -649,7 +649,7 @@
 
 Blokirao vas je korisnik $1. Razlog za blokiranje je \'\'$2\'\'.
 
-Možete kontaktirati korisnika $1 ili nekog drugog [[{{ns:project}}:Administratori|administratora]] kako biste razgovarali o blokadi. Ne možete da koristite opciju "Pošalji e-poštu ovom korisniku" ukoliko nemate valjanu adresu e-pošte navedenu u vašim [[{ns:special}}:Preferences|podešavanjima]]. Vaša trenutna IP adresa je $3. Molimo uključite ovo u svaki vaš zahtev.',
+Možete kontaktirati korisnika $1 ili nekog drugog [[{{ns:project}}:Administratori|administratora]] kako biste razgovarali o blokadi. Ne možete da koristite opciju "Pošalji e-poštu ovom korisniku" ukoliko nemate valjanu adresu e-pošte navedenu u vašim [[Special:Preferences|podešavanjima]]. Vaša trenutna IP adresa je $3. Molimo uključite ovo u svaki vaš zahtev.',
 'blockedoriginalsource' => 'Izvor \'\'\'$1\'\'\' je prikazan ispod:',
 'blockededitsource' => 'Tekst \'\'\'vaših izmena\'\'\' za \'\'\'$1\'\'\' je prikazan ispod:',
 'whitelistedittitle' => 'Obavezno je prijavljivanje za uređivanje',
Index: languages/messages/MessagesCy.php
===================================================================
--- languages/messages/MessagesCy.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesCy.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -503,7 +503,7 @@
 I gweld neu chwilio hen lluniau ewch i'r
 [[{{ns:special}}:Imagelist|rhestr lluniau wedi llwytho]].
 Mae pob llwyth a dileuo ffeil yn cael eu recordio ar y
-[[{{ns:special}}:Log/upload]]|log llwytho]].
+[[Special:Log/upload|log llwytho]].
 
 Defnyddwch y ffurflen isod i llwytho ffeil llun newydd i darluno eich erthyglau.
 Ar y mwyafrif o porwyr, fyddwch yn gweld botwm \"Pori/Browse...\" i agor y dialog agor ffeil arferol.
Index: languages/messages/MessagesKu.php
===================================================================
--- languages/messages/MessagesKu.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesKu.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -611,47 +611,7 @@
  h3 {font-family: "Tahoma", "Arial Unicode MS", sans-serif, sans, "Unikurd Web", "Scheherazade";}
  body {font-family: "Tahoma", "Arial Unicode MS", sans-serif, sans, "Unikurd Web", "Scheherazade";}
  textarea {font-family: Lucida Console, Tahoma;}
- pre {font-family: Lucida Console, Tahoma;}
-
- /* extra buttons for edit dialog (from bg:)*/
- #my-buttons {
-   padding: 0.5em;
- }
- #my-buttons a {
-   color: black;
-   background-color: #ccddee;
-   font-weight: bold;
-   font-size: 0.9em;
-   text-decoration: none;
-   border: thin #006699 outset;
-   padding: 0 0.1em 0em 0.1em; 
- }
- #my-buttons a:hover, #my-buttons a:active {
-   background-color: #bbccdd;
-   border-style: inset;
- }
- .messagebox {
-   border: 1px solid #aaaaaa;
-   background-color: #f9f9f9;
-   width: 80%;
-   margin: 0 auto 1em auto;
-   padding: 0.5em;
-   text-align: justify;
- }
- .messagebox.merge {
-   border: 1px solid #cf9fff;
-   background-color: #f5edf5;
-   text-align: center;
- }
- .messagebox.cleanup {
-   border: 1px solid #9f9fff;
-   background-color: #efefff;
-   text-align: center;
- }
- .messagebox.standard-talk {
-   border: 1px solid #c0c090;
-   background-color: #f8eaba;
- }',
+ pre {font-family: Lucida Console, Tahoma;}',
 'anonymous'             => 'Bikarhênera/ê nediyarkirî ya/yê {{SITENAME}}',
 'siteuser'              => 'Bikarhênera/ê $1 a/ê {{SITENAME}}',
 'and'                   => 'û',
Index: languages/messages/MessagesSq.php
===================================================================
--- languages/messages/MessagesSq.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesSq.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -426,14 +426,14 @@
 'whitelistacctitle'     => 'Nuk ju lejohet të hapni një llogari',
 'whitelistacctext'      => 'Duhet të [[Special:Userlogin|hyni brënda]] dhe të keni të drejta të posaçme pasi tu lejohet të hapni llogari në Wiki.',
 'confirmedittitle'      => 'Nevojitet adresë email-i e vërtetuar për të redaktuar',
-'confirmedittext'       => 'Ju duhet së pari ta vërtetoni e-mail adresen para se të redaktoni. Ju lutem plotësoni dhe vërtetoni e-mailin tuaj  te [[{ns:special}}:Preferences|parapëlqimet]] e juaja.',
+'confirmedittext'       => 'Ju duhet së pari ta vërtetoni e-mail adresen para se të redaktoni. Ju lutem plotësoni dhe vërtetoni e-mailin tuaj  te [[Special:Preferences|parapëlqimet]] e juaja.',
 'loginreqtitle'         => 'Detyrohet hyrja',
 'loginreqlink'          => 'hyni',
 'loginreqpagetext'      => 'Ju duhet $1 për të parë faqe e tjera.',
 'accmailtitle'          => 'Fjalëkalimi u dërgua.',
 'accmailtext'           => 'Fjalëkalimi për \'$1\' u dërgua tek $2.',
 'newarticle'            => '(I Ri)',
-'newarticletext'        => '<div style="border: 1px solid #ccc; padding: 7px;">{{SITENAME}} nuk ka akoma një \'\'{{NAMESPACE}} faqe\'\' të quajtur \'\'\'{{PAGENAME}}\'\'\'. Shtypni \'\'\'redaktoni\'\'\' më sipër ose [[Special:Search/{{PAGENAME}}|bëni një kërkim për {{PAGENAME}}]]</div>',
+'newarticletext'        => '{{SITENAME}} nuk ka akoma një \'\'{{NAMESPACE}} faqe\'\' të quajtur \'\'\'{{PAGENAME}}\'\'\'. Shtypni \'\'\'redaktoni\'\'\' më sipër ose [[Special:Search/{{PAGENAME}}|bëni një kërkim për {{PAGENAME}}]]',
 'anontalkpagetext'      => '---- \'\'Kjo është një faqe diskutimi për një përdorues anonim i cili nuk ka hapur akoma një llogari ose nuk e përdor atë. Prandaj, më duhet të përdor numrin e adresës [[IP adresë|IP]] për ta identifikuar. Kjo adresë mund të përdoret nga disa njerëz. Në qoftë se jeni një përdorues anonim dhe mendoni se komente kot janë drejtuar ndaj jush, ju lutem [[Special:Userlogin|krijoni një llogari ose hyni brënda]] për të mos u ngatarruar me përdorues të tjerë anonim.\'\'',
 'noarticletext'         => 'Tani për tani nuk ka tekst në këtë faqe, mund ta [[Special:Search/{{PAGENAME}}|kërkoni]] këtë titull në faqe të tjera ose mund ta [{{fullurl:{{FULLPAGENAME}}|action=edit}} filloni] atë.',
 'clearyourcache'        => '\'\'\'Shënim:\'\'\' Pasi të ruani parapëlqimet ose pasi të kryeni ndryshimet, duhet të pastroni \'\'cache\'\'-në e shfletuesit tuaj për të parë ndryshimet: për \'\'\'Mozilla/Safari/Konqueror\'\'\' shtypni \'\'Ctrl+Shift+Reload\'\' (ose \'\'ctrl+shift+r\'\'), për \'\'\'IE\'\'\' \'\'Ctrl+f5\'\', \'\'\'Opera\'\'\': \'\'F5\'\'.',
@@ -846,7 +846,7 @@
 'allpagessubmit'        => 'Shko',
 'allpagesprefix'        => 'Trego faqet me parashtesë:',
 'mailnologin'           => 'S\'ka adresë dërgimi',
-'mailnologintext'       => 'Duhet të keni [[{ns:special}}:Userlogin|hyrë brenda]] dhe të keni një adresë të saktë në [[{ns:special}}:Preferences|parapëlqimet]] tuaja për tu dërguar email përdoruesve të tjerë.',
+'mailnologintext'       => 'Duhet të keni [[Special:Userlogin|hyrë brenda]] dhe të keni një adresë të saktë në [[Special:Preferences|parapëlqimet]] tuaja për tu dërguar email përdoruesve të tjerë.',
 'emailuser'             => 'Email përdoruesit',
 'emailpage'             => 'Dërgo email përdoruesve',
 'emailpagetext'         => 'Në qoftë se ky përdorues ka dhënë një adresë të saktë në parapëlqimet, formulari më poshtë do t\'i dërgojë një mesazh. 
@@ -1066,7 +1066,7 @@
 'autoblocker'           => 'I bllokuar automatikisht sepse përdor të njëjtën IP adresë si "$1". Arsye "$2".',
 'blocklogpage'          => 'Regjistri i bllokimeve',
 'blocklogentry'         => 'bllokoi "[[$1]]" për një kohëzgjatje prej $2',
-'blocklogtext'          => 'Ky është një regjistër bllokimesh dhe çbllokimesh të përdoruesve. IP-të e bllokuara automatikisht nuk janë të dhëna. Shikoni dhe [[{ns:special}}:Ipblocklist|listën e IP-ve të bllokuara]] për një listë të bllokimeve të tanishme.',
+'blocklogtext'          => 'Ky është një regjistër bllokimesh dhe çbllokimesh të përdoruesve. IP-të e bllokuara automatikisht nuk janë të dhëna. Shikoni dhe [[Special:Ipblocklist|listën e IP-ve të bllokuara]] për një listë të bllokimeve të tanishme.',
 'unblocklogentry'       => 'çbllokoi "$1"',
 'range_block_disabled'  => 'Mundësia e administruesve për të bllokuar me shtrirje është çaktivizuar.',
 'ipb_expiry_invalid'    => 'Afati i kohës është gabim.',
@@ -1097,7 +1097,7 @@
 'rightslogentry'        => 'ndryshoi privilegjet e $1 prej "$2" në "$3"',
 'rightsnone'            => '(asnjë)',
 'movepage'              => 'Zhvendose faqen',
-'movepagetext'          => 'Duke përdorur formularin e mëposhtëm do të ndërroni titullin e një faqeje, duke zhvendosur gjithë historinë përkatëse tek titulli i ri. Titulli i vjetër do të bëhet një faqe përcjellëse tek titulli i ri. Lidhjet tek faqja e vjetër nuk do të ndryshohen; duhet të kontrolloni [[{ns:special}}:Maintenance|mirëmbajtjen]] për përcjellime të dyfishta ose të prishura.
+'movepagetext'          => 'Duke përdorur formularin e mëposhtëm do të ndërroni titullin e një faqeje, duke zhvendosur gjithë historinë përkatëse tek titulli i ri. Titulli i vjetër do të bëhet një faqe përcjellëse tek titulli i ri. Lidhjet tek faqja e vjetër nuk do të ndryshohen; duhet të kontrolloni [[Special:SpecialPages|mirëmbajtjen]] për përcjellime të dyfishta ose të prishura.
 Keni përgjegjësinë për tu siguruar që lidhjet të vazhdojnë të jenë të sakta.
 
 Vini re se kjo faqe \'\'\'nuk\'\'\' do të zhvendoset n.q.s. ekziston një faqe me titullin e ri, përveçse kur ajo të jetë bosh ose një përcjellim dhe të mos ketë një histori të vjetër. Kjo do të thotë se mund ta zhvendosni një faqe prapë tek emri
Index: languages/messages/MessagesZh_yue.php
===================================================================
--- languages/messages/MessagesZh_yue.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesZh_yue.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -8,7 +8,7 @@
 $skinNames = array(
 	'standard' 	=> '傳統', /* "Classic, Standard" */
 	'nostalgia' 	=> '懷舊', /* "Nostalgia" */
-	'cologneblue' 	=> '科倫藍', /* "Cologne Blue" */
+	'cologneblue' 	=> '科隆藍', /* "Cologne Blue" */
 	'davinci' 	=> '達文西', /* "DaVinci" */
 	'mono' 		=> '簡單', /* "Mono" */
 	'monobook' 	=> 'MonoBook',
@@ -246,8 +246,8 @@
 'category-media-header' => '響 "$1" 分類嘅媒體',
 
 'mainpage' 		=> '頭版',
-'mainpagetext' 		=> "<big>'''MediaWiki 已經成功地安裝。'''</big>",
-'mainpagedocfooter' 	=> "參閱[http://meta.wikimedia.org/wiki/Help:Contents 用戶指引]（英）以取得使用wiki軟件嘅資料。
+'mainpagetext' 		=> "<big>'''成功安裝MediaWiki。'''</big>",
+'mainpagedocfooter' 	=> "參閱[http://meta.wikimedia.org/wiki/Help:Contents 用戶指引]（英），裏面有資料講點用wiki軟件。
 
 ==開始使用==
 * [http://www.mediawiki.org/wiki/Help:Configuration_settings 配置設定清單]（英）
@@ -993,7 +993,7 @@
 'fileexists-extension' 	=> '一個相似檔名嘅檔案已經存在:<br />
 上載檔案嘅檔名: <strong><tt>$1</tt></strong><br />
 現有檔案嘅檔名: <strong><tt>$2</tt></strong><br />
-佢哋嘅差別只係響佢哋副檔名嘅大／細楷。請檢查清楚檔案嘅身份。',
+請揀一個唔同嘅名。',
 'fileexists-thumb'      => "'''<center>已經存在嘅圖像</center>'''",
 'fileexists-thumbnail-yes' => "呢個檔案好似係一幅圖像縮細咗嘅版本<i>（縮圖）</i>。請檢查清楚個檔案<strong><tt>$1</tt></strong>。<br />
 如果檢查咗嘅檔案係同原本幅圖個大細係一樣嘅話，就唔使再上載多一幅縮圖。",
@@ -1332,7 +1332,7 @@
 要修改你嘅監視清單設定，請睇{{fullurl:{{ns:special}}:Watchlist/edit}}
 
 回饋及更多幫助：
-{{fullurl:{{MediaWiki:helppage}}',
+{{fullurl:{{MediaWiki:helppage}}}}',
 
 # Delete/protect/revert
 #
Index: languages/messages/MessagesVec.php
===================================================================
--- languages/messages/MessagesVec.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesVec.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -314,7 +314,7 @@
 
 
 ---- \'\'Sta quà l\'è la paxèna de discussion de un utente anonimo che non\'l se ga ancora registrà o che non effettua el login. De conseguenzsa xè necessario identificarlo tramite l\'[[Indirizzo IP|indirizzo IP]] numerico. Tale indirizso el pode esser condivixo da diversi utenti. Se te sì un utente anonimo e te pensi che ghe sia sta commenti irrilevanti, te podi [[Special:Userlogin|registrarte o effettuare el login]] par evitare confuxion con altri utenti in futuro.\'\'',
-'noarticletext'         => 'In sto momento ła paxèna richiesta xè voda. Xè possibiłe [Special:Search/{{PAGENAME}}|çercar sto titoło]] ne łe altre paxène del sito oppure [{{fullurl:{{FULLPAGENAME}}|action=edit}} modificar ła paxèna \'desso].',
+'noarticletext'         => 'In sto momento ła paxèna richiesta xè voda. Xè possibiłe [[Special:Search/{{PAGENAME}}|çercar sto titoło]] ne łe altre paxène del sito oppure [{{fullurl:{{FULLPAGENAME}}|action=edit}} modificar ła paxèna \'desso].',
 'clearyourcache'        => '\'\'\'Nota:\'\'\' dopo aver salvà, te devi pulire la cache del to browser par veder i cambiamenti: \'\'\'Mozilla:\'\'\' clicca su \'\'reload\'\' (oppure \'\'ctrl-r\'\'), \'\'\'IE / Opera:\'\'\' \'\'ctrl-f5\'\', \'\'\'Safari:\'\'\' \'\'cmd-r\'\', \'\'\'Konqueror\'\'\' \'\'ctrl-r\'\'.',
 'previewnote'           => 'Tegni presente che sta qua xè solo n\'anteprima, e che la to verzsion NON xè stà ancora salvà!',
 'session_fail_preview'  => '<strong>Purtroppo non xè stà possibiłe salvare le to modifiche parché i dati de la sezsion i xè andai persi. Per favore, riproa.<br />
Index: languages/messages/MessagesLt.php
===================================================================
--- languages/messages/MessagesLt.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesLt.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -220,6 +220,7 @@
 'unprotectthispage' => 'Atrakinti šį puslapį',
 'newpage'           => 'Naujas puslapis',
 'talkpage'          => 'Aptarti šį puslapį',
+'talkpagelinktext'  => 'Aptarimas',
 'specialpage'       => 'Specialusis puslapis',
 'personaltools'     => 'Asmeniniai įrankiai',
 'postcomment'       => 'Rašyti komentarą',
@@ -375,7 +376,7 @@
 'protectedinterface'   => 'Šiame puslapyje yra programinės įrangos sąsajos tekstas ir yra apsaugotas, kad būtų apsisaugota nuo piktnaudžiavimo.',
 'editinginterface'     => "'''Dėmesio:''' Jūs redaguojate puslapį, kuris yra naudojamas programinės įrangos sąsajos tekste. Pakeitimai šiame puslapyje taip pat pakeis naudotojo sąsajos išvaizdą ir kitiems naudojams.",
 'sqlhidden'            => '(SQL užklausa paslėpta)',
-'cascadeprotected'     => 'Šis puslapis buvo apsaugotas nuo redagavimo, kadangi jis yra įtrauktas į šiuos puslapius, kurie yra apsaugoti „pakopinės apsaugos“ pasirinktimi:',
+'cascadeprotected'     => 'Šis puslapis buvo apsaugotas nuo redagavimo, kadangi jis yra įtrauktas į {{PLURAL:$1|šį puslapį, apsaugotą|šiuos puslapius, apsaugotus}} „pakopinės apsaugos“ pasirinktimi:',
 
 # Login and logout pages
 'logouttitle'                => 'Naudotojo atsijungimas',
@@ -592,7 +593,7 @@
 ir vėliau įkelti jį čia.</strong>',
 'protectedpagewarning'      => '<strong>DĖMESIO:  Šis puslapis yra užrakintas ir jį redaguoti gali tik administratoriaus teises turintys naudotojai.</strong>',
 'semiprotectedpagewarning'  => "'''Pastaba:''' Šis puslapis buvo užrakintas ir jį gali redaguoti tik registruoti naudotojai.",
-'cascadeprotectedwarning'   => "'''Dėmesio''': Šis puslapis buvo užrakintas taip, kad tik naudotojai su administratoriaus teisėmis galėtų jį redaguoti, nes jis yra įtrauktas į šiuos puslapius, kurie yra apsaugoti „pakopinės apsaugos“ pasirinktimi.:",
+'cascadeprotectedwarning'   => "'''Dėmesio''': Šis puslapis buvo užrakintas taip, kad tik naudotojai su administratoriaus teisėmis galėtų jį redaguoti, nes jis yra įtrauktas į {{PLURAL:$1|šį puslapį, apsaugotą|šiuos puslapius, apsaugotus}} „pakopinės apsaugos“ pasirinktimi:",
 'templatesused'             => 'Straipsnyje naudojami šablonai:',
 'templatesusedpreview'      => 'Šablonai, naudoti šioje peržiūroje:',
 'templatesusedsection'      => 'Šablonai, naudoti šiame skyrelyje:',
@@ -779,7 +780,8 @@
 'contextlines'             => 'Eilučių rezultate:',
 'contextchars'             => 'Konteksto simbolių eilutėje:',
 'stubthreshold'            => 'Žymėti puslapį kaip nepilną, jei mažesnis nei:',
-'recentchangescount'       => 'Kiek pakeitimų rodoma naujausių keitimų sąraše',
+'recentchangesdays'        => 'Rodomos dienos paskutinių keitimų sąraše:',
+'recentchangescount'       => 'Keitimų skaičius rodomas naujausių keitimų sąraše:',
 'savedprefs'               => 'Nustatymai sėkmingai išsaugoti.',
 'timezonelegend'           => 'Laiko juosta',
 'timezonetext'             => 'Įveskite kiek valandų jūsų vietinis laikas skiriasi nuo serverio laiko (UTC).',
@@ -802,6 +804,7 @@
 'userrights-groupsavailable' => 'Galimos grupės:',
 'userrights-groupshelp'      => 'Pasirinkite grupes, į kurias pridėti ar iš kurių pašalinti naudotoją.
 Nepasirinktos grupės nebus pakeistos. Galite atžymėti grupę laikydami Ctrl ir paspausdami kairiuoju pelės klavišu',
+'userrights-reason'          => 'Keitimo priežastis:',
 
 # Groups
 'group'            => 'Grupė:',
@@ -838,7 +841,7 @@
 'rcshowhideanons'                   => '$1 anoniminius naudotojus',
 'rcshowhidepatr'                    => '$1 patikrintus keitimus',
 'rcshowhidemine'                    => '$1 mano keitimus',
-'rclinks'                           => 'Rodyti paskutinius $1 pakeitimų per paskutiniąsias $2 dienas(ų)<br />$3',
+'rclinks'                           => 'Rodyti paskutinius $1 pakeitimų per paskutiniąsias $2 dienų<br />$3',
 'diff'                              => 'skirt',
 'hist'                              => 'ist',
 'hide'                              => 'Slėpti',
@@ -997,7 +1000,8 @@
 'unusedtemplateswlh'  => 'kitos nuorodos',
 
 # Random redirect
-'randomredirect' => 'Atsitiktinis peradresavimas',
+'randomredirect'         => 'Atsitiktinis peradresavimas',
+'randomredirect-nopages' => 'Šioje vardų srityje nėra jokių peradresavimų.',
 
 # Statistics
 'statistics'             => 'Statistika',
@@ -1029,6 +1033,11 @@
 'brokenredirects-edit'   => '(redaguoti)',
 'brokenredirects-delete' => '(trinti)',
 
+'withoutinterwiki'        => 'Puslapiai be kalbų nuorodų',
+'withoutinterwiki-header' => 'Šie puslapiai nenurodo į kitų kalbų versijas:',
+
+'fewestrevisions' => 'Straipsniai su mažiausiai keitimų',
+
 # Miscellaneous special pages
 'nbytes'                  => '$1 {{PLURAL:$1|baitas|baitai|baitų}}',
 'ncategories'             => '$1 {{PLURAL:$1|kategorija|kategorijos|kategorijų}}',
@@ -1049,12 +1058,13 @@
 'wantedpages'             => 'Geidžiamiausi puslapiai',
 'mostlinked'              => 'Daugiausiai nurodomi straipsniai',
 'mostlinkedcategories'    => 'Daugiausiai nurodomos kategorijos',
-'mostcategories'          => 'Straipsniai su daugiausia kategorijų',
+'mostcategories'          => 'Straipsniai su daugiausiai kategorijų',
 'mostimages'              => 'Daugiausiai nurodomi paveikslėliai',
-'mostrevisions'           => 'Straipsniai su daugiausia keitimų',
+'mostrevisions'           => 'Straipsniai su daugiausiai keitimų',
 'allpages'                => 'Visi puslapiai',
 'prefixindex'             => 'Rodyklė pagal pavadinimo pradžią',
 'randompage'              => 'Atsitiktinis puslapis',
+'randompage-nopages'      => 'Šioje vardų srityje nėra jokių puslapių.',
 'shortpages'              => 'Trumpiausi puslapiai',
 'longpages'               => 'Ilgiausi puslapiai',
 'deadendpages'            => 'Straipsniai-aklavietės',
@@ -1147,7 +1157,7 @@
 
 # Watchlist
 'watchlist'            => 'Stebimi straipsniai',
-'mywatchlist'            => 'Stebimi straipsniai',
+'mywatchlist'          => 'Stebimi straipsniai',
 'watchlistfor'         => "(naudotojo '''$1''')",
 'nowatchlist'          => 'Neturite nei vieno stebimo puslapio.',
 'watchlistanontext'    => 'Prašome $1, kad peržiūrėtumėte ar pakeistumėte elementus savo stebimųjų sąraše.',
@@ -1249,7 +1259,7 @@
 'actioncomplete'              => 'Veiksmas atliktas',
 'deletedtext'                 => '„$1“ ištrintas.
 Paskutinių šalinimų istorija - $2.',
-'deletedarticle'              => 'ištrynė „$1“',
+'deletedarticle'              => 'ištrynė „[[$1]]“',
 'dellogpage'                  => 'Šalinimų istorija',
 'dellogpagetext'              => 'Žemiau pateikiamas paskutinių trynimų sąrašas.',
 'deletionlog'                 => 'šalinimų istorija',
@@ -1286,8 +1296,13 @@
 'unprotectcomment'            => 'Atrakinimo priežastis',
 'protect-unchain'             => 'Atrakinti pervardinimo teises',
 'protect-text'                => 'Čia jūs gali matyti ir keisti apsaugos lygį puslapiui <strong>$1</strong>.',
-'protect-viewtext'            => 'Jūsų paskyra neturi teisių keisti puslapių apsaugos lygius. Čia yra dabartiniai nustatymai puslapiui <strong>$1</strong>:',
-'protect-cascadeon'           => 'Šis puslapis dabar yra apsaugotas, nes jis yra įtrauktas šiuose puslapiuose, kurie yra apsaugoti „pakopinės apsaugos“ pasirinktimi. Jūs galite pakeisti šio puslapio apsaugos lygį, bet tai nepaveiks pakopinės apsaugos.',
+'protect-locked-blocked'      => 'Jūs negalite keisti apsaugos lygių, kol esate užbluokuotas.
+Čia yra dabartiniai nustatymai puslapiui <strong>$1</strong>:',
+'protect-locked-dblock'       => 'Apsaugos lygiai negali būti pakeisti dėl duomenų bazės užrakinimo.
+Čia yra dabartiniai nustatymai puslapiui <strong>$1</strong>:',
+'protect-locked-access'       => 'Jūsų paskyra neturi teisių keisti puslapių apsaugos lygių.
+Čia yra dabartiniai nustatymai puslapiui <strong>$1</strong>:',
+'protect-cascadeon'           => 'Šis puslapis dabar yra apsaugotas, nes jis yra įtrauktas į {{PLURAL:$1|šį puslapį, apsaugotą|šiuos puslapius, apsaugotus}} „pakopinės apsaugos“ pasirinktimi. Jūs galite pakeisti šio puslapio apsaugos lygį, bet tai nepaveiks pakopinės apsaugos.',
 'protect-default'             => '(pagal nutylėjimą)',
 'protect-level-autoconfirmed' => 'Blokuoti neregistruotus naudotojus',
 'protect-level-sysop'         => 'Tik administratoriai',
@@ -1353,7 +1368,7 @@
 # Contributions
 'contributions' => 'Naudotojo įnašas',
 'mycontris'     => 'Mano įnašas',
-'contribsub2'    => 'Naudotojo $1 ($2)',
+'contribsub2'   => 'Naudotojo $1 ($2)',
 'nocontribs'    => 'Jokie keitimai neatitiko šių kriterijų.',
 'ucnote'        => 'Žemiau yra šio naudotojo paskutiniai <b>$1</b> keitimai per pastarąsias <b>$2</b> dienas.',
 'uclinks'       => 'Rodyti paskutinius $1 pakeitimus; rodyti paskutines $2 dienas.',
@@ -1383,8 +1398,8 @@
 'nolinkshere-ns'     => "Nurodytoje vardų srityje nei vienas puslapis nenurodo į '''[[:$1]]'''.",
 'isredirect'         => 'nukreipiamasis puslapis',
 'istemplate'         => 'įterpimas',
-'whatlinkshere-prev' => 'ankstesni $1',
-'whatlinkshere-next' => 'kiti $1',
+'whatlinkshere-prev' => '$1 {{PLURAL:$1|ankstesnis|ankstesni}}',
+'whatlinkshere-next' => '$1 {{PLURAL:$1|kitas|kiti}}',
 
 # Block/unblock
 'blockip'                     => 'Blokuoti naudotoją',
@@ -1394,6 +1409,16 @@
 'ipadressorusername'          => 'IP adresas arba naudotojo vardas',
 'ipbexpiry'                   => 'Galiojimo laikas',
 'ipbreason'                   => 'Priežastis',
+'ipbreasonotherlist'          => 'Kita priežastis',
+'ipbreason-dropdown'          => '
+*Bendrosios blokavimo priežastys
+** Melagingos informacijos įterpimas
+** Turinio šalinimas iš puslapių
+** Kitų svetainių reklamavimas
+** Nesąmonių/bet ko įterpimas į puslapius
+** Gąsdinimai/Įžeidinėjimai
+** Piktnaudžiavimas keliomis paskyromis
+** Nepriimtinas naudotojo vardas',
 'ipbanononly'                 => 'Blokuoti tik anoniminius naudotojus',
 'ipbcreateaccount'            => 'Neleisti kurti paskyrų',
 'ipbenableautoblock'          => 'Automatiškai blokuoti šio naudotojo paskiausiai naudotą IP adresą, bei bet kokius vėlesnius IP adresus, iš kurių jie mėgina redaguoti',
@@ -1401,11 +1426,13 @@
 'ipbother'                    => 'Kitoks laikas',
 'ipboptions'                  => '2 valandos:2 hours,1 diena:1 day,3 dienos:3 days,1 savaitė:1 week,2 savaitės:2 weeks,1 mėnesis:1 month,3 mėnesiai:3 months,6 mėnesiai:6 months,1 metai:1 year,neribotai:infinite',
 'ipbotheroption'              => 'kita',
+'ipbotherreason'              => 'Kita/papildoma priežastis',
 'ipbhidename'                 => 'Slėpti naudotojo vardą/IP adresą iš blokavimų istorijos, aktyvių blokavimų sąrašo ir naudotojų sąrašo',
 'badipaddress'                => 'Neleistinas IP adresas',
 'blockipsuccesssub'           => 'Užblokavimas pavyko',
 'blockipsuccesstext'          => '[[{{ns:Special}}:Contributions/$1|$1]] buvo užblokuotas.
 <br />Aplankykite [[{{ns:special}}:Ipblocklist|IP blokavimų istoriją]] norėdami jį peržiūrėti.',
+'ipb-edit-dropdown'           => 'Redaguoti blokavimų priežastis',
 'ipb-unblock-addr'            => 'Atblokuoti $1',
 'ipb-unblock'                 => 'Atblokuoti naudotojo vardą arba IP adresą',
 'ipb-blocklist-addr'          => 'Rodyti egzistuojančius $1 blokavimus',
@@ -1427,14 +1454,14 @@
 'blocklink'                   => 'blokuoti',
 'unblocklink'                 => 'atblokuoti',
 'contribslink'                => 'įnašas',
-'autoblocker'                 => "Jūs buvote automatiškai užblokuotas, nes jūsų IP neseniai naudojo „[[{{ns:user}}:$1|$1]]“. Duota priežastis naudotojo $1 užblokavimui: „'''$2'''“.",
+'autoblocker'                 => 'Jūs buvote automatiškai užblokuotas, nes jūsų IP neseniai naudojo „[[{{ns:user}}:$1|$1]]“. Duota priežastis naudotojo $1 užblokavimui: „$2“.',
 'blocklogpage'                => 'Blokavimų istorija',
 'blocklogentry'               => 'blokavo „[[$1]]“, blokavimo laikas - $2 $3',
 'blocklogtext'                => 'Čia yra naudotojų blokavimo ir atblokavimo sąrašas. Automatiškai blokuoti IP adresai nėra išvardinti. Jei norite pamatyti dabar blokuojamus adresus, žiūrėkite [[{{ns:special}}:Ipblocklist|IP blokavimų istoriją]].',
 'unblocklogentry'             => 'atblokavo $1',
 'block-log-flags-anononly'    => 'tik anoniminiai naudotojai',
 'block-log-flags-nocreate'    => 'paskyrų kūrimas išjungtas',
-'block-log-flags-autoblock'   => 'automatinis blokiklis įjungtas',
+'block-log-flags-noautoblock' => 'automatinis blokiklis išjungtas',
 'range_block_disabled'        => 'Administratoriaus galimybė kurti intevalinius blokus yra išjungta.',
 'ipb_expiry_invalid'          => 'Galiojimo laikas neleistinas.',
 'ipb_already_blocked'         => '„$1“ jau užblokuotas',
@@ -1560,10 +1587,14 @@
 'allmessagesmodified'       => 'Rodyti tik pakeistus',
 
 # Thumbnails
-'thumbnail-more'  => 'Padidinti',
-'missingimage'    => '<b>Trūkstamas paveikslėlis</b><br /><i>$1</i>',
-'filemissing'     => 'Dingęs failas',
-'thumbnail_error' => 'Klaida kuriant sumažintą paveiklėlį: $1',
+'thumbnail-more'           => 'Padidinti',
+'missingimage'             => '<b>Trūkstamas paveikslėlis</b><br /><i>$1</i>',
+'filemissing'              => 'Dingęs failas',
+'thumbnail_error'          => 'Klaida kuriant sumažintą paveikslėlį: $1',
+'djvu_page_error'          => 'DjVu puslapis nepasiekiamas',
+'djvu_no_xml'              => 'Nepavyksta gauti XML DjVu failui',
+'thumbnail_invalid_params' => 'Neleistini miniatiūros parametrai',
+'thumbnail_dest_directory' => 'Nepavyksta sukurti paskirties aplanko',
 
 # Special:Import
 'import'                     => 'Importuoti puslapius',
@@ -1745,7 +1776,7 @@
 'showhidebots' => '($1 robotus)',
 'noimages'     => 'Nėra ką parodyti.',
 
-'passwordtooshort' => 'Jūsų slaptažodis per trumpas. Jis turi būti bent $1 simbolių ilgio.',
+'passwordtooshort' => 'Jūsų slaptažodis yra neleistinas arba per trumpas. Jis turi būti bent $1 simbolių ilgio ir skirtis nuo jūsų naudotojo vardo.',
 
 # Metadata
 'metadata'          => 'Metaduomenys',
@@ -2129,8 +2160,8 @@
 'loginlanguagelabel' => 'Kalba: $1',
 
 # Multipage image navigation
-'imgmultipageprev'   => '&larr; ankstesnis puslapis',
-'imgmultipagenext'   => 'kitas puslapis &rarr;',
+'imgmultipageprev'   => '← ankstesnis puslapis',
+'imgmultipagenext'   => 'kitas puslapis →',
 'imgmultigo'         => 'Eiti!',
 'imgmultigotopre'    => 'Pereiti į puslapį',
 'imgmultiparseerror' => 'Paveikslėlio failas atrodo yra pažeistas arba neteisingas, taigi {{SITENAME}} negali gauti puslapių sąrašo.',
Index: languages/messages/MessagesLv.php
===================================================================
--- languages/messages/MessagesLv.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesLv.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -369,9 +369,9 @@
 'missingsummary'           => "'''Atgādinājums''': Tu neesi norādījis izmaiņu kopsavilkumu. Vēlreiz klikšķinot uz \"Saglabāt lapu\", Tavas izmaiņas tiks saglabātas bez kopsavilkuma.",
 'missingcommenttext'       => 'Lūdzu, ievadi tekstu zemāk redzamajā logā!',
 'blockedtitle'             => 'Lietotājs ir bloķēts.',
-'blockedtext'              => '$1 ir nobloķējis tavu lietotāja vārdu vai IP adresi. Iemesls tam ir:<br />\'\'$2\'\'<br />. Tu vari sazināties ar $1 vai kādu citu [[Project:Administrators|administratoru]] lai apspriestu šo bloku.
+'blockedtext'              => '$1 ir nobloķējis tavu lietotāja vārdu vai IP adresi. Iemesls tam ir:<br />\'\'$2\'\'<br />. Tu vari sazināties ar $1 vai kādu citu [[{{MediaWiki:grouppage-sysop}}|administratoru]] lai apspriestu šo bloku.
 
-Pievērs uzmanību, tam, ka ja tu neesi norādījis derīgu e-pasta adresi [Special:Preferences|user preferences]], tev nedarbosies "sūtīt e-pastu" iespēja.
+Pievērs uzmanību, tam, ka ja tu neesi norādījis derīgu e-pasta adresi [[Special:Preferences|user preferences]], tev nedarbosies "sūtīt e-pastu" iespēja.
 
 Tava IP adrese ir $3. Lūdzu iekļauj to visos turpmākajos pieprasījumos.',
 'whitelistedittitle'       => 'Lai varētu rediģēt, šeit jāielogojas.',
Index: languages/messages/MessagesKsh.php
===================================================================
--- languages/messages/MessagesKsh.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesKsh.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -912,7 +912,7 @@
 luure bei <i>latex</i>, <i>dvips</i>, <i>gs</i>, un <i>convert</i>. Oder sag et enem Sörver-Admin, oder enem 
 Wiki Köbes.',
 'math_bad_tmpdir'       => 'Dat Zwescheverzeichnis för de mathematische Formele lööt sich nit aanläje oder nix 
-eren schrieve. Dat es Dress. Sag et enem Wiki-Köbes]] oder enem 
+eren schrieve. Dat es Dress. Sag et enem Wiki-Köbes oder enem
 Sörver-Minsch.',
 'math_bad_output'       => 'Dat Verzeichnis för de mathematische Formele lööt sich nit aanläje oder nix 
 eren schrieve. Dat es Dress. Sag et enem Wiki-Köbes oder enem 
Index: languages/messages/MessagesZh_tw.php
===================================================================
--- languages/messages/MessagesZh_tw.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesZh_tw.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -375,7 +375,7 @@
 'protectedinterface'   => '該頁提供了軟體的介面文字，它已被鎖定以防止隨意的修改。',
 'editinginterface'     => "'''警告:''' 您正在編輯的頁面是用於提供軟體的介面文字。改變此頁將影響其他用戶的介面外觀。",
 'sqlhidden'            => '(隱藏SQL查詢)',
-'cascadeprotected'     => '這個頁面已經被保護，因為這個頁面被以下已標註"聯鎖保護"的{{{PLURAL:$1|一個|多個}}被保護頁面包含:',
+'cascadeprotected'     => '這個頁面已經被保護，因為這個頁面被以下已標註"聯鎖保護"的{{PLURAL:$1|一個|多個}}被保護頁面包含:',
 
 # Login and logout pages
 'logouttitle'                => '用戶退出',
@@ -873,7 +873,7 @@
 'fileexists-extension'        => '一個相似檔名的檔案已經存在:<br />
 上載檔案的檔名: <strong><tt>$1</tt></strong><br />
 現有檔案的檔名: <strong><tt>$2</tt></strong><br />
-它們的差別只係在它們副檔名的大／小寫。請檢查清楚檔案的身份。',
+請選擇一個不同的名字。',
 'fileexists-thumb'            => "'''<center>已經存在的圖像</center>'''",
 'fileexists-thumbnail-yes'    => '這個檔案好像是一幅圖像的縮圖版本<i>(縮圖)</i>。請檢查清楚該檔案<strong><tt>$1</tt></strong>。<br />
 如果檢查後的檔案是同原本圖像的大小是一樣的話，就不用再上載多一幅縮圖。',
@@ -2151,10 +2151,8 @@
 # Live preview
 'livepreview-loading' => '正在載入…',
 'livepreview-ready'   => '正在載入… 完成!',
-'livepreview-failed'  => '實時預覽失敗!
-嘗試標準預覽。',
-'livepreview-error'   => '連接失敗: $1 "$2"
-嘗試標準預覽。',
+'livepreview-failed'  => "實時預覽失敗!\n嘗試標準預覽。",
+'livepreview-error'   => "連接失敗: $1 \"$2\"\n嘗試標準預覽。",
 
 );
 
Index: languages/messages/MessagesZh_classical.php
===================================================================
--- languages/messages/MessagesZh_classical.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesZh_classical.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -458,7 +458,7 @@
 'whitelistacctitle'         => '拒增此簿',
 'whitelistacctext'          => '欲增此簿，[[Special:Userlogin|登簿]]求允',
 'confirmedittitle'          => '證驛以纂',
-'confirmedittext'           => '驛證方可纂文。請見[[Special:Preferences|簿註]。',
+'confirmedittext'           => '驛證方可纂文。請見[[Special:Preferences|簿註]]。',
 'loginreqtitle'             => '須登簿',
 'loginreqlink'              => '登簿',
 'loginreqpagetext'          => '$1以覽它頁。',
Index: languages/messages/MessagesKk_tr.php
===================================================================
--- languages/messages/MessagesKk_tr.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesKk_tr.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -1664,7 +1664,7 @@
 'undeletecomment'          => 'Mändemesi:',
 'undeletedarticle'         => '«[[$1]]» qaýtardı',
 'undeletedrevisions'       => '{{plural:$1|Nusqanı|$1 nusqanı}} qaýtardı',
-'undeletedrevisions-files' => '{{plural:$1|Nusqanı|$1 nusqanı}} jäne {plural:$2|faýldı|$2 faýldı}} qaýtardı',
+'undeletedrevisions-files' => '{{plural:$1|Nusqanı|$1 nusqanı}} jäne {{plural:$2|faýldı|$2 faýldı}} qaýtardı',
 'undeletedfiles'           => '{{plural:$1|1 faýl|$1 faýl}} qaýtardı',
 'cannotundelete'           => 'Qaýtarw sätsiz bitti; tağı birew sizden burın sol betti qaýtarğan bolar.',
 'undeletedpage'            => "<big>'''$1 qaýtarıldı'''</big>
@@ -1921,7 +1921,7 @@
 'thumbnail_error' => 'Nobaý qurw qatesi: $1',
 'djvu_page_error'          => 'DjVu beti mümkindi awmaqtıñ sırtındda',
 'djvu_no_xml'              => 'DjVu faýlına XML keltirwge bolmaýdı',
-'thumbnail_invalid_params' => 'Nobaýdıñ baptarı jaramsız ',
+'thumbnail_invalid_params' => 'Nobaýdıñ baptarı jaramsız',
 'thumbnail_dest_directory' => 'Aqırğı qalta jasalmadı',
 # Special:Import
 'import'                     => 'Betterdi sırttan alw',
@@ -2055,6 +2055,7 @@
 
   if (skin == "monobook"){
      document.write(\'<link rel="stylesheet" type="text/css" href="\'+stylepath+\'/monobook/rtl.css">\');
+  }
 }',
 'monobook.js' => '/* Бостекі болды; орнына мынаны [[MediaWiki:common.js]] пайдалаңыз */',
 
Index: languages/messages/MessagesMs.php
===================================================================
--- languages/messages/MessagesMs.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesMs.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -299,7 +299,7 @@
 "preview"             => "Paparan", #"Preview",
 "showpreview"         => "Tunjuk paparan", #"Show preview",
 "blockedtitle"                => "Pengguna ini telah disekat", #"User is blocked",
-"blockedtext"         => "Nama pengguna atau alamat IP anda telah disekat oleh $1. Alasannya: <br />$2. <p>Sila hubungi $1 atau [[[[Project:Penyelia|penyelia]] yang lain untuk membincangkan sekatan ini. <p>Sila ambil perhatian bahawa anda tidak dapat menggunakan ciri \"Emelkan pengguna ini\" kecuali anda mempunyai alamat emel yang sah di dalam [[{{ns:-1}}:Preferences|Tatarajah]] anda.", #'Your user name or IP address has been blocked by $1. The reason given is this:<br />''$2''<p>You may contact $1 or one of the other [[Project:Administrators|administrators]] to discuss the block. <p>Note that you may not use the \"email this user\" feature unless you have a valid email address registered in your [[Special:Preferences|user preferences]].',
+"blockedtext"         => "Nama pengguna atau alamat IP anda telah disekat oleh $1. Alasannya: <br />$2. <p>Sila hubungi $1 atau [[{{MediaWiki:grouppage-sysop}}|penyelia]] yang lain untuk membincangkan sekatan ini. <p>Sila ambil perhatian bahawa anda tidak dapat menggunakan ciri \"Emelkan pengguna ini\" kecuali anda mempunyai alamat emel yang sah di dalam [[Special:Preferences|Tatarajah]] anda.", #'Your user name or IP address has been blocked by $1. The reason given is this:<br />''$2''<p>You may contact $1 or one of the other [[Project:Administrators|administrators]] to discuss the block. <p>Note that you may not use the \"email this user\" feature unless you have a valid email address registered in your [[Special:Preferences|user preferences]].',
 "whitelistedittitle"    => "Pendaftaran masuk diperlukan untuk menyunting",
 "whitelistedittext"     => "Anda harus [[{{ns:special}}:Userlogin|log masuk]] untuk dapat menyunting rencana.",
 "whitelistreadtitle"    => "Pendaftaran masuk diperlukan untuk membaca",
@@ -596,7 +596,7 @@
 "emailpage"             => "Emelkan pengguna", #"E-mail user",
 "emailpagetext"                 => "Jika pengguna ini memasukkan alamat emel yang sah dalam Tatarajahnya, borang di bawah akan mengirimkan satu pesanan. Alamat emel di dalam Tatarajah anda akan dipaparkan sebagai alamat emel \"Daripada\", jadi penerima boleh membalas emel tersebut.", #"If this user has entered a valid e-mail address in is user preferences, the form below will send a single message. The e-mail address you entered in your user preferences will appear as the \"From\" address of the mail, so the recipient wi#ll be able to reply.",
 'usermailererror'         => "Objek emel mengembalikan ralat:",
-'defemailsubject'         => "Emel {{SITENAME}",
+'defemailsubject'         => "Emel {{SITENAME}}",
 "noemailtitle"                  => "Tiada alamat emel", #"No e-mail address",
 "noemailtext"           => "Pengguna ini tidak menetapkan alamat emel yang sah, atau telah memilih untuk tidak mendapat emel daripada pengguna yang lain.", #"This user has not specified a valid e-mail address, or has chosen not to receive e-mail from other users.",
 "emailfrom"             => "Daripada", #"From",
Index: languages/messages/MessagesFr.php
===================================================================
--- languages/messages/MessagesFr.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesFr.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -559,7 +559,7 @@
 Vous nous promettez aussi que vous avez écrit ceci vous-même, ou que vous l’avez copié d’une source provenant du domaine public, ou d’une ressource libre. (voir $1 pour plus de détails).
 <strong>N’UTILISEZ PAS DE TRAVAUX SOUS COPYRIGHT SANS AUTORISATION EXPRESSE !</strong>',
 'longpagewarning'           => "'''AVERTISSEMENT : cette page a une longueur de $1 Ko ;
-certains navigateurs gèrent mal la modification de les pages approchant ou dépassant 32 ko.
+certains navigateurs gèrent mal la modification des pages approchant ou dépassant 32 ko.
 Peut-être devriez-vous diviser la page en sections plus petites.'''",
 'longpageerror'             => '<strong>ERREUR : Le texte que vous avez soumis fait $1 Ko, ce qui dépasse la limite fixée à $2 Ko. Le texte ne peut pas être sauvé.</strong>',
 'readonlywarning'           => "'''AVERTISSEMENT : La base de données a été verrouillée pour maintenance,
@@ -691,7 +691,7 @@
 'powersearchtext'       => 'Rechercher dans les espaces de noms :<br />
 $1<br />
 $2 Inclure les page de redirections<br /> Rechercher $3 $9',
-'searchdisabled'        => 'La recherche sur {{SITENAME]] est désactivée. En attendant la réactivation, vous pouvez effectuer une recherche via Google. Attention, leur indexation du contenu {{SITENAME]] peut ne pas être à jour.',
+'searchdisabled'        => 'La recherche sur {{SITENAME}} est désactivée. En attendant la réactivation, vous pouvez effectuer une recherche via Google. Attention, leur indexation du contenu {{SITENAME}} peut ne pas être à jour.',
 'blanknamespace'        => '(principal)',
 
 # Preferences page
@@ -1697,7 +1697,7 @@
 'showhidebots' => '($1 bots)',
 'noimages'     => 'Aucune image à afficher.',
 
-'passwordtooshort' => 'Votre mot de passe est trop court. Il doit contenir au moins $1 caractères.',
+'passwordtooshort' => 'Votre mot de passe est trop court. Il doit contenir au moins $1 caractères et être différent de votre nom d\'utilisateur.',
 
 # Metadata
 'metadata'          => 'Métadonnées',
Index: languages/messages/MessagesGa.php
===================================================================
--- languages/messages/MessagesGa.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesGa.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -924,8 +924,8 @@
 # Email this user
 #
 "mailnologin"   => "Níl aon seoladh maith ann",
-"mailnologintext" => "Ní mór duit bheith  <a href=\"{{localurl:Special:Userlogin\">logáilte isteach</a>
-agus bheith le seoladh ríomhphoist bhailí i do chuid <a href=\"{{localurl:Special:Preferences}}\">sainroghanna</a>
+"mailnologintext" => "Ní mór duit bheith  [[Special:Userlogin|logáilte isteach]]
+agus bheith le seoladh ríomhphoist bhailí i do chuid [[Special:Preferences|sainroghanna]]
 más mian leat ríomhphost a sheoladh chuig úsáideoirí eile.",
 "emailuser"     => "Cuir ríomhphost chuig an úsáideoir seo",
 "emailpage"     => "Seol ríomhphost",
Index: languages/messages/MessagesSr_ec.php
===================================================================
--- languages/messages/MessagesSr_ec.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesSr_ec.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -646,7 +646,7 @@
 
 Блокирао вас је корисник $1. Разлог за блокирање је \'\'$2\'\'. 
 
-Можете контактирати корисника $1 или неког другог [[{{ns:project}}:Администратори|администратора]] како бисте разговарали о блокади. Не можете да користите опцију "Пошаљи е-пошту овом кориснику" уколико немате ваљану адресу е-поште наведену у вашим [[{ns:special}}:Preferences|подешавањима]]. Ваша тренутна ИП адреса је $3. Молимо укључите ово у сваки ваш захтев.',
+Можете контактирати корисника $1 или неког другог [[{{ns:project}}:Администратори|администратора]] како бисте разговарали о блокади. Не можете да користите опцију "Пошаљи е-пошту овом кориснику" уколико немате ваљану адресу е-поште наведену у вашим [[Special:Preferences|подешавањима]]. Ваша тренутна ИП адреса је $3. Молимо укључите ово у сваки ваш захтев.',
 'blockedoriginalsource' => 'Извор \'\'\'$1\'\'\' је приказан испод:',
 'blockededitsource' => 'Текст \'\'\'ваших измена\'\'\' за \'\'\'$1\'\'\' је приказан испод:',
 'whitelistedittitle' => 'Обавезно је пријављивање за уређивање',
Index: languages/messages/MessagesOc.php
===================================================================
--- languages/messages/MessagesOc.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesOc.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -1208,7 +1208,7 @@
 Clicatz sus « Precedent » e recargatz la pagina d’ont venètz, puèi ensajatz tornarmai.',
 'protectlogpage'              => 'Istoric de las proteccions',
 'protectlogtext'              => 'Vejatz las [[Special:Protectedpages|directivas]] per mai d’informacion.',
-'protectedarticle'            => 'a protegit « [[$1] »',
+'protectedarticle'            => 'a protegit « [[$1]] »',
 'unprotectedarticle'          => 'a desprotegit « [[$1]] »',
 'protectsub'                  => '(Protegir « $1 »)',
 'confirmprotecttext'          => 'Volètz vertadièrament protegir aquesta pagina ?',
Index: languages/messages/MessagesDa.php
===================================================================
--- languages/messages/MessagesDa.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesDa.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -662,7 +662,6 @@
 Følg venligst disse retningslinjer:
 <ul>
 <li>Angiv tydeligt hvor filen stammer fra</li>
-<li>Angiv tydeligt hvilken licens filen er omfattet af, ved at tilføje en af skabelonerne <tt>&#123;{GFDL}}</tt> eller <tt>&#123;{PD}}</tt> eller en af de andre du kan finde på [[{{NS:4}}:Skabeloner#Ophavsret|skabelonsiden]].</li>
 <li>Brug et beskrivende filnavn, så det er til at se hvad filen indeholder</li>
 <li>Tjek i [[Special:Imagelist|listen over filer]] om filen allerede er lagt op</li>
 </ul>
Index: languages/messages/MessagesKk_cn.php
===================================================================
--- languages/messages/MessagesKk_cn.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesKk_cn.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -1672,7 +1672,7 @@
 'undeletecomment'          => 'مٵندەمەسٸ:',
 'undeletedarticle'         => '«[[$1]]» قايتاردى',
 'undeletedrevisions'       => '{{plural:$1|نۇسقانى|$1 نۇسقانى}} قايتاردى',
-'undeletedrevisions-files' => '{{plural:$1|نۇسقانى|$1 نۇسقانى}} جٵنە {plural:$2|فايلدى|$2 فايلدى}} قايتاردى',
+'undeletedrevisions-files' => '{{plural:$1|نۇسقانى|$1 نۇسقانى}} جٵنە {{plural:$2|فايلدى|$2 فايلدى}} قايتاردى',
 'undeletedfiles'           => '{{plural:$1|1 فايل|$1 فايل}} قايتاردى',
 'cannotundelete'           => 'قايتارۋ سٵتسٸز بٸتتٸ; تاعى بٸرەۋ سٸزدەن بۇرىن سول بەتتٸ قايتارعان بولار.',
 'undeletedpage'            => "<big>'''$1 قايتارىلدى'''</big>
@@ -1929,7 +1929,7 @@
 'thumbnail_error'          => 'نوباي قۇرۋ قاتەسٸ: $1',
 'djvu_page_error'          => 'DjVu بەتٸ مٷمكٸندٸ اۋماقتىڭ سىرتىنددا',
 'djvu_no_xml'              => 'DjVu فايلىنا XML كەلتٸرۋگە بولمايدى',
-'thumbnail_invalid_params' => 'نوبايدىڭ باپتارى جارامسىز ',
+'thumbnail_invalid_params' => 'نوبايدىڭ باپتارى جارامسىز',
 'thumbnail_dest_directory' => 'اقىرعى قالتا جاسالمادى',
 # Special:Import
 'import'                     => 'بەتتەردٸ سىرتتان الۋ',
@@ -2063,6 +2063,7 @@
 
   if (skin == "monobook"){
      document.write(\'<link rel="stylesheet" type="text/css" href="\'+stylepath+\'/monobook/rtl.css">\');
+  }
 }',
 'monobook.js' => '/* Бостекі болды; орнына мынаны [[MediaWiki:common.js]] пайдалаңыз */',
 
Index: languages/messages/MessagesKk_kz.php
===================================================================
--- languages/messages/MessagesKk_kz.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesKk_kz.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -1667,7 +1667,7 @@
 'undeletecomment'          => 'Мәндемесі:',
 'undeletedarticle'         => '«[[$1]]» қайтарды',
 'undeletedrevisions'       => '{{plural:$1|Нұсқаны|$1 нұсқаны}} қайтарды',
-'undeletedrevisions-files' => '{{plural:$1|Нұсқаны|$1 нұсқаны}} және {plural:$2|файлды|$2 файлды}} қайтарды',
+'undeletedrevisions-files' => '{{plural:$1|Нұсқаны|$1 нұсқаны}} және {{plural:$2|файлды|$2 файлды}} қайтарды',
 'undeletedfiles'           => '{{plural:$1|1 файл|$1 файл}} қайтарды',
 'cannotundelete'           => 'Қайтару сәтсіз бітті; тағы біреу сізден бұрын сол бетті қайтарған болар.',
 'undeletedpage'            => "<big>'''$1 қайтарылды'''</big>
@@ -1925,7 +1925,7 @@
 'thumbnail_error'          => 'Нобай құру қатесі: $1',
 'djvu_page_error'          => 'DjVu беті мүмкінді аумақтың сыртындда',
 'djvu_no_xml'              => 'DjVu файлына XML келтіруге болмайды',
-'thumbnail_invalid_params' => 'Нобайдың баптары жарамсыз ',
+'thumbnail_invalid_params' => 'Нобайдың баптары жарамсыз',
 'thumbnail_dest_directory' => 'Ақырғы қалта жасалмады',
 
 
Index: languages/messages/MessagesHr.php
===================================================================
--- languages/messages/MessagesHr.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesHr.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -641,7 +641,7 @@
 'reupload'              => 'Ponovno postavi',
 'reuploaddesc'          => 'Vratite se u obrazac za postavljanje.',
 'uploadnologin'         => 'Niste prijavljeni',
-'uploadnologintext'     => 'Za postavljanje datoteka morate biti  [[Special:Userlogin|prijavljeni].',
+'uploadnologintext'     => 'Za postavljanje datoteka morate biti  [[Special:Userlogin|prijavljeni]].',
 'upload_directory_read_only'=> 'Server ne može pisati u direktorij za postavljanje ($1).',
 'uploaderror'           => 'Greška kod postavljanja',
 # problem with link: [[Project:Slike|upotrebi slika]]
Index: languages/messages/MessagesIa.php
===================================================================
--- languages/messages/MessagesIa.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesIa.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -616,7 +616,7 @@
 "addedwatch"	=> "Ponite sub observation",
 "addedwatchtext" => "Le pagina \"$1\" es ora in tu [[Special:Watchlist||lista de paginas sub observation]].
 Modificationes futur a iste pagina e su pagina de discussion associate essera listate la,
-e le pagina apparera '''in nigretto''' in le [[Special:Recentchanges}}|lista de modificationes recente]] pro
+e le pagina apparera '''in nigretto''' in le [[Special:Recentchanges|lista de modificationes recente]] pro
 facilitar su identification.
 
 Si tu vole cessar le obsevation de iste pagina posteriormente, clicca \"Cancellar observation\" in le barra de navigation.",
Index: languages/messages/MessagesEl.php
===================================================================
--- languages/messages/MessagesEl.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesEl.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -595,7 +595,7 @@
 # Search results
 #------------------------#
 'searchresults' => 'Αποτελέσματα αναζήτησης',
-'searchresulttext' => 'Για περισσότερες πληροφορίες σχετικά με την αναζήτηση στο {{SITENAME}}, βλ. [[{{MediaWiki:helppage}}]]|{{int:help}}]].',
+'searchresulttext' => 'Για περισσότερες πληροφορίες σχετικά με την αναζήτηση στο {{SITENAME}}, βλ. [[{{MediaWiki:helppage}}|{{int:help}}]].',
 'searchsubtitle' => 'Κριτήρια αναζήτησης: "[[:$1]]"',
 'searchsubtitleinvalid' => 'Κριτήρια αναζήτησης: "$1"',
 'badquery' => 'Λανθασμένη μορφή αιτήματος αναζήτησης',
Index: languages/messages/MessagesGsw.php
===================================================================
--- languages/messages/MessagesGsw.php	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ languages/messages/MessagesGsw.php	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -482,13 +482,13 @@
 
 Zuer Ziit stöhn \'\'\'$7\'\'\' Arbete zuem mache aa.',
 # problem with link: [[Project:Benutzer|regischtriirte Benutzer]]
-'userstatstext'         => 'S git \'\'\'$1\'\'\' [[Project:Benutzer|regischtriirte Benutzer]]. Dodrvo sin \'\'\'$2\'\'\' (also \'\'\'$4 %\'\'\') Administratore (lueg au uff $3).',
+'userstatstext'         => 'S git \'\'\'$1\'\'\' regischtriirte Benutzer. Dodrvo sin \'\'\'$2\'\'\' (also \'\'\'$4 %\'\'\') Administratore (lueg au uff $3).',
 'disambiguationspage'   => 'Template:Begriffsklärig',
 'doubleredirects'       => 'Doppelte Redirects',
 'brokenredirects'       => 'Kaputti Wyterleitige',
 'brokenredirectstext'   => 'Di folgende Wyterleitige füered zu Artikel wo\'s gar nid git.',
 'nbytes'                => '$1 {{PLURAL:$1|byte|bytes}}',
-'ncategories'           => '$1 {{PLURAL:$1|Kategori|Kategorie',
+'ncategories'           => '$1 {{PLURAL:$1|Kategori|Kategorie}}',
 'nlinks'                => '$1 {{PLURAL:$1|Gleich|Gleicher}}',
 'nmembers'              => '$1 {{PLURAL:$1|Syte|Sytene}}',
 'nrevisions'            => '$1 {{PLURAL:$1|Revision|Revisione}}',
@@ -817,7 +817,7 @@
 'confirmemail_subject'  => '{{SITENAME}} e-Mail-Adrässbestätigung',
 'confirmemail_body'     => 'Hallo
 
-{{SITENAME}}}}-BenutzerIn «$2» — das bisch allwäg du — het sech vor IP-Adrässen $1 uus mit deren e-Mail-Adrässe bi {{SITENAME}} aagmäldet.
+{{SITENAME}}-BenutzerIn «$2» — das bisch allwäg du — het sech vor IP-Adrässen $1 uus mit deren e-Mail-Adrässe bi {{SITENAME}} aagmäldet.
 
 Für z bestätige, das die Adrässe würklech dir isch, u für dyni erwytereten e-Mail-Funktionen uf {{SITENAME}} yzschalte, tue bitte der folgend Link i dym Browser uuf:
 
Index: RELEASE-NOTES
===================================================================
--- RELEASE-NOTES	(.../REL1_10_0RC1/phase3)	(revision 21875)
+++ RELEASE-NOTES	(.../REL1_10_0RC2/phase3)	(revision 21875)
@@ -3,6 +3,21 @@
 Security reminder: MediaWiki does not require PHP's register_globals
 setting since version 1.2.0. If you have it on, turn it *off* if you can.
 
+== MediaWiki 1.10.0rc2 ==
+
+May 4, 2007
+
+THIS IS A RELEASE CANDIDATE MADE AVAILABLE FOR TESTING!
+A FINAL 1.10.0 RELEASE WILL APPEAR WITHIN A FEW DAYS.
+
+Changes since 1.10.0RC1:
+* Various l10n fixes and updates
+* Fix for upgrade of page_restrictions table
+* (bug 9780) Fix normalization of titles with initial colon followed by whitespace
+* Fix for regression in upload: wrong size info saved into image table
+* Avoid cyclic stub problems when authorization hooks do funny things with
+  the user and the database at load time
+
 == MediaWiki 1.10.0RC1 ==
 
 April 30, 2007
@@ -368,10 +383,6 @@
 * (bug 8602) Converted Special:Contributions to use an IndexPager. The 
   interpretation of the offset parameter has changed, and the go parameter 
   has been removed.
-* (bug 6204) Fixes for indentation with $wgMaxTocLevel:
-  - don't emit too many list close tags after an invisible header
-  - don't emit too many final list close tags if last header is invisible
-  - don't emit TOC when there are no visible headers
 * (bug 7629) Fix $wgBrowserBlackList to avoid false positive on MSIE
   when certain plugins are present which alter the user agent
 
@@ -511,8 +522,9 @@
 === Online documentation ===
 
 Documentation for both end-users and site administrators is currently being
-built up on Meta-Wikipedia, and is covered under the GNU Free Documentation
-License:
+built up on MediaWiki.org, and is covered under the GNU Free Documentation
+License (except for pages that explicitly state that their contents are in
+the public domain) :
 
   http://www.mediawiki.org/wiki/Documentation
 
